select similar for metaballs
Closed, ResolvedPublic

Description

This patch adds the ability to select similar metaballs in edit mode with the Shift+G shortcut. The two possible parameters for the selection are the radius and the type of the metaballs.

campbellbarton (Campbell Barton) added a comment.Via Old WorldApr 2 2012, 7:43 AM

Thanks for the patch/quick hack.

We are currently in feature freeze and cant apply this to trunk.

While the patch is acceptable some things to consider...

notice the patch doesnt quite conform.
* http://wiki.blender.org/index.php/Dev:Doc/CodeStyle

* this patch could also select similar orientations (rotation)

* with select similar radius - a threshold would be useful, select similar mesh options have this for angle between faces for eg.

kalado (Cyrille Ruggero) added a comment.Via Old WorldApr 4 2012, 1:38 AM

Thanks for the tips, I've added the ability to select similar rotation and the threshold for similar radius. I also tried to follow the coding style you linked, I hope the patch is better now.

kalado (Cyrille Ruggero) added a comment.Via Old WorldApr 4 2012, 1:48 AM

Sorry, I'm just having some problem to submit the new patch.

Committed r60921. with some changes, measure rotations between quats using a different metrhod, also there was no need for select_similar_type_itemf() since poll already checks we have a meta object in editmode.

campbellbarton (Campbell Barton) closed this task as "Resolved".Via Old WorldOct 25 2013, 7:19 AM

Add Comment